package com.hwrj.cloud.admin.service;

import com.hwrj.cloud.admin.dto.UmsMemberOriginProductParam;
import com.hwrj.cloud.admin.model.UmsMemberOriginProduct;

import java.util.List;

/**
 * @className:
 * @description:
 * @author: lym
 * @date: 2020/9/7 10:13
 */
public interface UmsMemberOriginProductService {

    List<UmsMemberOriginProduct> list(UmsMemberOriginProductParam originProduct);

    int save(UmsMemberOriginProductParam originProduct);

    int update(UmsMemberOriginProductParam originProduct);

    int delete(long id);

    /**
     * 添加或编辑生产地产出物
     * lym
     * @param list
     * @param originId
     * @return
     */
    int saveOrUpdate(List<UmsMemberOriginProduct> list,long originId);
}
